> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على معلومات المشاركة في IDO لمحفظة

> استرجاع بيانات المشاركة في IDO، بما في ذلك الكميات المستثمرة وحالة المطالبة.




## OpenAPI

````yaml /ar/api-reference/openapi/owner-api-v1.yaml get /main/ido/{owner}
openapi: 3.0.3
info:
  title: واجهة مالك المحفظة
  description: >
    استرجاع الأرصدة والمراكز والمكافآت القابلة للمطالبة لكل محفظة عبر مجمعات
    السيولة في Raydium.

    مصمّمة للمحافظ ولوحات معلومات المحفظات لجلب البيانات المحدودة بنطاق المالك
    في طلب واحد.
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://owner-v1.raydium.io
    description: Mainnet
  - url: https://owner-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Position
    description: استرجاع أرصدة المراكز والحالة لكل محفظة
  - name: Pool Creation
    description: استرجاع المجمعات التي أنشأتها محفظة
  - name: IDO
    description: استرجاع بيانات المشاركة في IDO
  - name: Admin
    description: نقاط نهاية إدارية (الاستخدام الداخلي)
paths:
  /main/ido/{owner}:
    get:
      tags:
        - IDO
      summary: الحصول على معلومات المشاركة في IDO لمحفظة
      description: >
        استرجاع بيانات المشاركة في IDO، بما في ذلك الكميات المستثمرة وحالة
        المطالبة.
      operationId: getOwnerIdoInfo
      parameters:
        - name: owner
          in: path
          required: true
          description: مفتاح المحفظة العمومي (base58)
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                description: بيانات المشاركة في IDO
        '404':
          description: المحفظة ليس لديها مشاركة في IDO
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      description: استجابة الخطأ القياسية
      properties:
        id:
          type: string
          description: معرّف الطلب (UUID)
        success:
          type: boolean
          example: false
      required:
        - id
        - success

````